Zum Inhalt springen
Deutsch
Esc
↑↓navigate↵open⌘Jpreview

List projects

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/projects
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
contactIdstring
statusstring
Allowed:draftactivesubmittedarchived
includeArchivedboolean
default: false
updatedSincestring<date-time>
Responses
200OK
dataobject[]required
Show properties
Array of object
idstringrequired
contactIdstringrequired
buildingIdstringrequired
titlestringrequired
typestringrequired
Allowed:heat-planningenergieausweis
statusstringrequired
Allowed:draftactivesubmittedarchived
versionNumberintegerrequired
min -9007199254740991 · max 9007199254740991
rootProjectIdstring | anyrequired
Show properties
Any of:
string
string
any
any
parentProjectIdstring | anyrequired
Show properties
Any of:
string
string
any
any
isVisibleInCustomerPortalbooleanrequired
archivedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
hasMorebooleanrequired
Request
curl -X GET "https://app.bauhow.com/api/v1/projects" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": [
    {
      "id": "string",
      "contactId": "string",
      "buildingId": "string",
      "title": "string",
      "type": "heat-planning",
      "status": "draft",
      "versionNumber": 0,
      "rootProjectId": "string",
      "parentProjectId": "string",
      "isVisibleInCustomerPortal": true,
      "archivedAt": "2024-01-01T00:00:00Z",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ],
  "hasMore": true
}